import java.awt.Color;
import java.awt.geom.Ellipse2D;


/**
 * freehand paintbrush tool
 *
 * @author Joe Wanstrath.
 *         Created Mar 27, 2008.
 */
public class Spraycan extends Ellipse2D.Double implements Tool{
	private Color color;
	/**
	 * 
	 * create a paintbrush tool
	 *
	 * @param x the point to be drawn at
	 * @param y the point to be drawn at
	 * @param size the size of the brush
	 * @param color the color of this tool
	 */
	public Spraycan(double x,double y, Color color){
		super(x,y,2,2);
		this.color = color;
	}

	public Color getColor() {
		return this.color;
	}

	public void setColor(Color color) {
		this.color = color;
		
	}
}
